System Properties

Using System Properties, you can view and change system properties on a remote or local computer.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Set performance options
  • Set system and recovery options


Set performance options

  • Change the maximum size of the computer's registry
  • Change the size of the virtual memory paging file
  • Change the performance of foreground and background programs
  • View system properties


Change the maximum size of the computer's registry

Microsoft Windows graphic

To change the maximum size of the computer's registry

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Performance Options, and under Virtual memory, click Change.
  4. Under Registry size, type a new registry size in megabytes in the Maximum Registry Size (MB) box.
  5. You must restart your computer to apply any changes.

Notes

  • XOX
  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • Setting a maximum size for the registry sets an upper limit on how large the area designated for registry data can become. You might need to increase the maximum registry size if the amount of registry data produced by programs exceeds the limit you set under Registry size.

Related Topics


Change the size of the virtual memory paging file

To change the size of the virtual memory paging file

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Performance Options, and under Virtual memory, click Change.
  4. In the Drive list, click the drive that contains the paging file you want to change.
  5. Under Paging file size for selected drive, type a new paging file size in megabytes in the Initial Size (MB) or Maximum Size (MB) box, and then click Set.

    6. If you decrease the size of either the minimum or maximum page file settings, you must restart your computer to see the effects of those changes. Increases generally do not require a restart.

Notes

  • XOX
  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • For best performance, set the initial size to not less than the recommended size under Total paging file size for all drives. The recommended size is equivalent to 1.5 times the amount of RAM on your system.
  • Usually, you should leave the paging file at its recommended size, although you might increase its size if you routinely use programs that require a lot of memory.
  • To delete a paging file, set both initial size and maximum size to zero.


Change the performance of foreground and background programs

To change the performance of foreground and background programs

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Performance Options.
  4. Under Application response, do one of the following:
    • Click Applications to assign more processor resources to the foreground program than the background program.
    • Click Background services to assign equal amounts of processor resources to all programs.

Notes

  • XOX
  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • Choosing the Applications option results in a smoother, faster response time to your foreground program. If you want a background task, such as a Backup utility, to run faster, choose the Background services option.
  • The Applications option allocates short, variable time slices, or quanta, to running programs, while the Background services option assigns long, fixed quanta.


View system properties

To view system properties

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.

Notes

  • XOX
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • The General tab shows which version of Windows is installed, the name of the person registered to use this copy of Windows, the type of processor, and the total physical memory of the computer. If the operating system was installed by an original equipment manufacturer (OEM), this tab also displays information about technical support.


Set system and recovery options

  • Add or change the values of environment variables
  • Specify the default operating system for startup
  • Specify what happens when the system stops unexpectedly
  • Perform a remote shutdown
  • View your computer's network identification


Add or change the values of environment variables

To add or change the values of environment variables

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Environment Variables.
  4. Select a user in the User variables for list.
  5. Click the name of the user or system variable you want to change or delete.
    • Click New to add a new variable name and value.
    • Click Edit to change a current variable name and value.
    • Click Delete to remove a variable name and value.

Notes

  • XOX
  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • Changes in the registry are saved so they are available automatically the next time you start your computer.
  • Changes do not affect programs that are running and may not take effect until you restart your computer.


Specify the default operating system for startup

To specify the default operating system for startup

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Startup and Recovery.
  4. Under System startup, in the Default operating system list, click the operating system you want to start if you do not select one from the list displayed during startup.
  5. In the Display list of operating systems for box, type the number of seconds the list should be displayed before the default operating system starts automatically.

Note

  • XOX
  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.


Specify what happens when the system stops unexpectedly

To specify what happens when the system stops unexpectedly

  1. Open System in Control Panel.
  2. On the Advanced tab, click Settings under Startup and Recovery, and under System Failure, choose which of the following actions Windows should perform if a Stop error occurs:
    • Send an administrative alert specifies that your system administrator will be notified.
    • Automatically reboot specifies that Windows will automatically restart your computer.
  3. Under Write Debugging Information, choose what type of information Windows should record when the system stops unexpectedly.
    • Small Memory Dump: This records the smallest set of useful information that will help identify the problem. If you choose this option, Windows creates a new file (64 KB in size) each time the system stops unexpectedly. A history of these files is stored in the directory listed under Small Dump Directory.
    • Kernel Memory Dump: This records only kernel memory, which (compared with a complete memory dump) speeds up the process of recording information in a log when the system stops unexpectedly. For a kernel memory dump, the amount of space that must be available for the paging file depends on the amount of random access memory (RAM) in the computer (although the maximum amount of space that must be available for a kernel memory dump is 2,060 MB). The following table provides guidelines:
      RAM size | Paging file should be no smaller than
      256 MB–1,373 MB | 1.5 times the RAM size
      1,374 MB or greater | 2,060 MB (maximum amount of data in a kernel memory dump)
    • Complete Memory Dump: Not available on systems with 4 GB of RAM, nor on systems using Physical Address Extension (PAE). This records the entire contents of system memory when the system stops unexpectedly. If you choose this option, you must have a paging file on the boot volume large enough to hold all of the physical RAM, plus 1 MB.

Notes

  • XOX
  • You must be logged on as an administrator to the local computer to change System Failure options.
  • When setting memory dump options, also check your settings for the size of the paging file on the boot volume. Set the file size according to the preceding guidelines. For information about how to set the size of the paging file, see Related Topics.

    It is recommended that you use the same value for both the minimum size and the maximum size of the paging file. This prevents the file from constantly growing and shrinking, which in turn prevents unnecessary disk fragmentation.

  • If you choose Kernel Memory Dump, be sure not to set the paging file smaller than the sizes listed in the procedure, or the information you need might not be captured.
  • If you choose either Kernel Memory Dump or Complete Memory Dump and select the Overwrite any existing file check box, Windows always writes to the same file name. To save individual dump files, clear the Overwrite any existing file check box and change the file name after each Stop error.
  • You can save some memory if you clear the Write debugging information to, Write an event to the system log, or Send an administrative alert options. The memory saved depends on the computer, but typically about 60-70 KB is required by the drivers that enable these features.
  • If you contact Microsoft Product Support Services about a Stop error, they may ask for the memory dump file created when the Stop error occurred.


Perform a remote shutdown

To perform a remote shutdown

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Connect to another computer.
  3. In the Select Computer dialog box, click Another computer, type the name of the computer that you want to restart or shut down, and then click OK. You can also click Browse to search for the name of the computer.
  4. In the console tree, right-click Computer Management (Remote computer name), and then click Properties.
  5. On the Advanced tab, click Startup and Recovery.
  6. Click Shut Down to open the Shut Down dialog box.
  7. Under Action, select the actions you want to perform on the computer to which you are connected.
  8. Under Force Apps Closed, select the circumstances under which you want to force applications to close when you shut down or restart the computer, and then click OK.

Notes

  • XOX
  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing to perform this task.


View your computer's network identification

To view your computer's network identification

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Properties.
  3. Click the Network Identification tab. This tab shows the computer name, the workgroup or domain to which it belongs, and a brief description of the computer.

Notes

  • XOX
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • If your computer does not have a description, or you want to change the description, you can enter or edit your computer's description in the Network Identification tab. You cannot make any changes if you are logged in under a limited (Windows XP Home Edition) or guest account.


Concepts

  • System Properties overview


System Properties overview

System Properties is a Windows Management Instrumentation (WMI) tool you can use to view and change system properties on a remote computer or local computer. Using System Properties you can:

Change the size of the virtual memory paging file

You can change the settings for the virtual memory paging file on a computer that might run programs that require a lot of memory.

Restart a remote computer

You can restart a remote computer to apply settings changes or to detect new hardware.

View a computer's network identification

You can view the computer name and domain information for other computers on your network.

To change certain system properties on a computer, you must be an administrator.

For more information see:

  • Working with MMC console files
  • Understanding Windows Management Instrumentation
  • Change the size of the virtual memory paging file
  • Perform a remote reboot
  • View your computer's network identification


Understanding Windows Management Instrumentation

The Windows Management Instrumentation (WMI) initiative establishes an architecture that supports the management of an enterprise across the Internet. WMI offers universal access to management information for enterprises by providing a consistent view of the managed environment. This management uniformity gives you the ability to manage your entire business rather than just its components. You can obtain more detailed information regarding the WMI Software Development Kit (SDK) from the Microsoft Developer Network (MSDN).